#!/bin/bash

# Make usbrelay source tarball from the current state of git master branch.

set -e

name="usbrelay"

mkdir -p _tmp
rm -rf "_tmp/$name"
( cd _tmp; git clone -q "https://github.com/darrylb123/$name.git" )
version=$( cd _tmp/$name; git describe --tags --match '[0-9].[0-9]*' --abbrev=10 --dirty )
version="${version//-/.}"
    # RPM does not allo dashes in version, so let's replace dashes with dots.
tar -C _tmp -czf "$name-$version.tar.gz.tmp" --exclude '.git' "$name"
mv "$name-$version.tar.gz.tmp" "$name-$version.tar.gz"
echo "$name-$version.tar.gz"
